{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "name" : "_rowid",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "ll"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignPrimaryKey",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "foreignPrimaryKey",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "ll"
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignEntityName",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "foreignEntityName",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    }
  ],
  "className" : "EOGenericRecord",
  "classProperties" : [
    "_rowid",
    "foreignPrimaryKey",
    "foreignEntityName"
  ],
  "externalName" : "_Transient_EfficientDelete",
  "isDatabasePreference" : false,
  "isTransient" : "1",
  "isTrashable" : false,
  "name" : "_Transient_EfficientDelete",
  "primaryKeyAttributes" : [
    "_rowid"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [

  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "199"
}